#pragma once

#include <maps/wikimap/mapspro/services/editor/src/common.h>
#include <maps/wikimap/mapspro/libs/controller/include/basecontroller.h>

#include <vector>

namespace maps::wiki {

class ToolsPedestrianPoints;
template<>
struct controller::ResultType<ToolsPedestrianPoints>
{
    std::vector<Geom> points;
};

class ToolsPedestrianPoints : public controller::BaseController<ToolsPedestrianPoints>
{
public:
    struct Request
    {
        Token token;
        TOid oid;
    };

    explicit ToolsPedestrianPoints(const Request& request);
    virtual ~ToolsPedestrianPoints() {}

    virtual std::string printRequest() const;

protected:
    virtual void control();

private:
    const Request request_;
};

} // namespace maps::wiki
